<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__gattsr__api__functions" kind="group">
    <compoundname>gattsr_api_functions</compoundname>
    <title>GATT Server Data API</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__gattsr__api__functions_1ga9c1293b04258393f7e8e5201ca215c21" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref></type>
        <definition>wiced_bt_gatt_status_t wiced_bt_gatt_send_indication</definition>
        <argsstring>(uint16_t conn_id, uint16_t attr_handle, uint16_t val_len, uint8_t *p_val)</argsstring>
        <name>wiced_bt_gatt_send_indication</name>
        <param>
          <type>uint16_t</type>
          <declname>conn_id</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>attr_handle</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>val_len</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_val</declname>
        </param>
        <briefdescription>
<para>This API will send an indication to the client for the specified handle. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: connection identifier. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">attr_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: Attribute handle of this handle value indication. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">val_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Length of notification value passed. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_val</parametername>
</parameternamelist>
<parameterdescription>
<para>: Notification Value.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__wicedbt__gatt_1ga972f2437538363989cee28019cb06652">wiced_bt_gatt_status_t </ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="920" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gattsr__api__functions_1gabe6e79a8df2dd04b926d2316b79fdc42" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref></type>
        <definition>wiced_bt_gatt_status_t wiced_bt_gatt_send_notification</definition>
        <argsstring>(uint16_t conn_id, uint16_t attr_handle, uint16_t val_len, uint8_t *p_val)</argsstring>
        <name>wiced_bt_gatt_send_notification</name>
        <param>
          <type>uint16_t</type>
          <declname>conn_id</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>attr_handle</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>val_len</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>p_val</declname>
        </param>
        <briefdescription>
<para>This API will send a notification to the client for the specified handle. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: connection identifier. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">attr_handle</parametername>
</parameternamelist>
<parameterdescription>
<para>: Attribute handle of this handle value indication. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">val_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Length of notification value passed. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_val</parametername>
</parameternamelist>
<parameterdescription>
<para>: Notification Value.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__wicedbt__gatt_1ga972f2437538363989cee28019cb06652">wiced_bt_gatt_status_t </ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="933" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__gattsr__api__functions_1gaaa5719e4476aba741dd921b14ccae916" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1gaf2fed4c3092ffd14ce4f213a60c02fe4">wiced_bt_gatt_status_t</ref></type>
        <definition>wiced_bt_gatt_status_t wiced_bt_gatt_send_multiple_notifications</definition>
        <argsstring>(uint16_t conn_id, uint32_t num_notifications, wiced_bt_gatt_handle_length_value_t *p_notifications)</argsstring>
        <name>wiced_bt_gatt_send_multiple_notifications</name>
        <param>
          <type>uint16_t</type>
          <declname>conn_id</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>num_notifications</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__gatt__handle__length__value__t">wiced_bt_gatt_handle_length_value_t</ref> *</type>
          <declname>p_notifications</declname>
        </param>
        <briefdescription>
<para>This API will send a multiple variable length notifications to a client. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_id</parametername>
</parameternamelist>
<parameterdescription>
<para>: connection identifier. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">num_notifications</parametername>
</parameternamelist>
<parameterdescription>
<para>: number of notifications </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_notifications</parametername>
</parameternamelist>
<parameterdescription>
<para>: pointer to array of handle length notification values.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para><ref kindref="member" refid="group__wicedbt__gatt_1ga972f2437538363989cee28019cb06652">wiced_bt_gatt_status_t </ref> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="945" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT Server Data API. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>